gtksourceviewmm: Gsv::UndoManager Class Reference

gtksourceviewmm 3.18.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gsv::UndoManager Class Reference

Undo manager interface for View. More...

`#include <gtksourceviewmm/undomanager.h>`

Inherits Glib::Interface.

## Public Member Functions
| UndoManager (UndoManager&& src) noexcept
UndoManager& | operator= (UndoManager&& src) noexcept
| ~UndoManager () noexcept override
GtkSourceUndoManager* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceUndoManager* | gobj () const
| Provides access to the underlying C GObject.
bool | can_undo () const
| Get whether there are undo operations available.
bool | can_redo () const
| Get whether there are redo operations available.
void | undo ()
| Perform a single undo.
void | redo ()
| Perform a single redo.
void | begin_not_undoable_action ()
| Begin a not undoable action on the buffer.
void | end_not_undoable_action ()
| Ends a not undoable action on the buffer.
void | can_undo_changed ()
| Emits the 'can-undo-changed' signal.
void | can_redo_changed ()
| Emits the 'can-redo-changed' signal.
Glib::SignalProxy< void > | signal_can_undo_changed ()
| Emitted when the ability to undo has changed.
Glib::SignalProxy< void > | signal_can_redo_changed ()
| Emitted when the ability to redo has changed.

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| UndoManager ()
| You should derive from this class to use it.
virtual void | on_can_undo_changed ()
| This is a default handler for the signal signal_can_undo_changed().
virtual void | on_can_redo_changed ()
| This is a default handler for the signal signal_can_redo_changed().

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gsv::UndoManager > | wrap (GtkSourceUndoManager* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Undo manager interface for View.

The UndoManager interface can be implemented to provide custom undo management to a Buffer. Use Buffer::set_undo_manager() to install a custom undo manager for a particular source buffer.

Use UndoManager::can_undo_changed() and UndoManager::can_redo_changed() when respectively the undo state or redo state of the undo stack has changed.

Since gtksourceviewmm 2.10

## Constructor & Destructor Documentation

## ◆ UndoManager() [1/2]

Gsv::UndoManager::UndoManager | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ UndoManager() [2/2]

Gsv::UndoManager::UndoManager | ( | UndoManager&& | src | ) |
| noexcept

## ◆ ~UndoManager()

Gsv::UndoManager::~UndoManager | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

static void Gsv::UndoManager::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ begin_not_undoable_action()

void Gsv::UndoManager::begin_not_undoable_action | ( |  | ) |

Begin a not undoable action on the buffer.

All changes between this call and the call to end_not_undoable_action() cannot be undone. This function should be re-entrant.

Since gtksourceviewmm 2.10

## ◆ can_redo()

bool Gsv::UndoManager::can_redo | ( |  | ) | const

Get whether there are redo operations available.

Returns
  `true` if there are redo operations available, `false` otherwise.

Since gtksourceviewmm 2.10

## ◆ can_redo_changed()

void Gsv::UndoManager::can_redo_changed | ( |  | ) |

Emits the 'can-redo-changed' signal.

Since gtksourceviewmm 2.10

## ◆ can_undo()

bool Gsv::UndoManager::can_undo | ( |  | ) | const

Get whether there are undo operations available.

Returns
  `true` if there are undo operations available, `false` otherwise.

Since gtksourceviewmm 2.10

## ◆ can_undo_changed()

void Gsv::UndoManager::can_undo_changed | ( |  | ) |

Emits the 'can-undo-changed' signal.

Since gtksourceviewmm 2.10

## ◆ end_not_undoable_action()

void Gsv::UndoManager::end_not_undoable_action | ( |  | ) |

Ends a not undoable action on the buffer.

Since gtksourceviewmm 2.10

## ◆ get_type()

static GType Gsv::UndoManager::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSourceUndoManager * Gsv::UndoManager::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSourceUndoManager * Gsv::UndoManager::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ on_can_redo_changed()

virtual void Gsv::UndoManager::on_can_redo_changed | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_can_redo_changed().

## ◆ on_can_undo_changed()

virtual void Gsv::UndoManager::on_can_undo_changed | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_can_undo_changed().

## ◆ operator=()

UndoManager& Gsv::UndoManager::operator= | ( | UndoManager&& | src | ) |
| noexcept

## ◆ redo()

void Gsv::UndoManager::redo | ( |  | ) |

Perform a single redo.

Calling this function when there are no redo operations available is an error. Use can_redo() to find out if there are redo operations available.

Since gtksourceviewmm 2.10

## ◆ signal_can_redo_changed()

Glib::SignalProxy< void > Gsv::UndoManager::signal_can_redo_changed | ( |  | ) |

Emitted when the ability to redo has changed.

Slot Prototype:
  `void on_my_can_redo_changed()`

Flags: Run Last

## ◆ signal_can_undo_changed()

Glib::SignalProxy< void > Gsv::UndoManager::signal_can_undo_changed | ( |  | ) |

Emitted when the ability to undo has changed.

Slot Prototype:
  `void on_my_can_undo_changed()`

Flags: Run Last

## ◆ undo()

void Gsv::UndoManager::undo | ( |  | ) |

Perform a single undo.

Calling this function when there are no undo operations available is an error. Use can_undo() to find out if there are undo operations available.

Since gtksourceviewmm 2.10

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gsv::UndoManager > wrap | ( | GtkSourceUndoManager * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.